All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ScopeDeleter< T > Struct Template Reference

`#include <FaissException.h>`

## Public Member Functions

| ScopeDeleter (const T *ptr=nullptr)
void | release ()
void | set (const T *ptr_in)
void | swap (ScopeDeleter< T > &other)

## Public Attributes

const T * | ptr

## Detailed Description

### template<class T>
struct faiss::ScopeDeleter< T >

bare-bones unique_ptr this one deletes with delete []

Definition at line 39 of file FaissException.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/FaissException.h